---
updatedAt: 2026-03-16T18:23:57.000Z
agentTools:
  siteIndex: https://docs.here.com/llms.txt
  projectIndex: https://docs.here.com/destination-weather/llms.txt
---

# Get started with the HERE Destination Weather API

This section outlines how to get started quickly using the HERE Destination Weather API.

<Callout icon="📘" theme="info">
  Note

  This section provides information on the minimum setup required to quickly begin using the HERE Destination Weather API. For more detailed information on HERE account	setup, project creation, service linking, app registration, and authentication, see the [Identity and Access Manager Guide](/identity-and-access-management/docs/).
</Callout>

## Get a HERE account

Obtain access to the HERE platform through your organization administrator's invitation or get started for free.

* If your company **has already established** a HERE platform organization, contact your organization admin who can invite you to join the organization.
* If your company **hasn’t established** a HERE platform organization yet, you can get started for free. For more information, see the [HERE platform pricing](https://www.here.com/get-started/pricing).

## Get an API key

To get an API key, follow these steps:

1. Sign in to the HERE platform using your HERE account.
2. Select the **Access Manager** from the launcher.
3. Select the **Apps** tab and click **Register new app**.
4. Enter a name for the app.
5. Click **Register**. The HERE platform creates a new app with a unique app ID.
6. On the **Credentials** tab, select **API Keys** and then click **Create API key** to generate a maximum of two API Keys for your application authentication credentials. The API key is created and displayed.

## Send a request

The following is a HERE Destination Weather v3 API request example which consists of a single GET request to retrieve a weather report for Berlin - Tegel, Germany, using an API Key.

```json
curl https://weather.hereapi.com/v3/report
  ?products=observation
  &q=Berlin-Tegel
  &apiKey={YOUR_API_KEY}
```

The following is a HERE Destination Weather API request example which consists of a single GET request to retrieve a weather report for Berlin, Germany, using an OAuth token.

```json
curl https://weather.hereapi.com/v3/report
  ?products=observation
  &q=Berlin-Tegel
  -H "Authorization: Bearer {YOUR_TOKEN}"
```

## Next steps

We encourage you to view the tutorials, which walk you through various weather scenarios, starting with the simplist, Weather Report. Parameters used in the tutorials are described in detail in the API Reference for [Weather Report](https://docs.here.com/destination-weather/v3.0/reference/weatherreport).